ORT_MSG(3)

NAME
ort_msg, ort_msgv - queue status message

LIBRARY
libort

SYNOPSIS
#include <sys/queue.h>
#include <stdio.h>
#include <ort.h>
void
ort_msg(struct msgq *mq, enum msgtype type, int er, const struct pos *pos, const char *fmt, ...);
void
ort_msgv(struct msgq *mq, enum msgtype type, int er, const struct pos *pos, const char *fmt, va_list ap);

DESCRIPTION
Append a message to the mq queue. The message has a level of type, which dictates how a caller should respond to the message. The er, if not zero, is interpreted as an errno(2). The error is attached at position pos, or unattached if pos is NULL or its pos->fname is NULL. If not NULL, the contents of pos->fname are copied.

Memory allocation failures are ignored.

SEE ALSO
ort(3), ort_msgq_free(3), ort_write_msg_file(3)